<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: ChatBackend Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classChatBackend-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ChatBackend Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="ChatBackend_8hpp_source.html">ChatBackend.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for ChatBackend:</div>
<div class="dyncontent">
<div class="center"><img src="classChatBackend__coll__graph.png" border="0" usemap="#ChatBackend_coll__map" alt="Collaboration graph"/></div>
<map name="ChatBackend_coll__map" id="ChatBackend_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,143,112"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac14627b3e97f12550dfeed81de4f36f5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChatBackend.html#ac14627b3e97f12550dfeed81de4f36f5">ChatBackend</a> (QJsonArray mess)</td></tr>
<tr class="separator:ac14627b3e97f12550dfeed81de4f36f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7265235f10af83a8354e319d61f2f350"><td class="memItemLeft" align="right" valign="top">QJsonArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChatBackend.html#a7265235f10af83a8354e319d61f2f350">convertToJson</a> () const</td></tr>
<tr class="separator:a7265235f10af83a8354e319d61f2f350"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cc35c21252bdcb6dbacfff312625b07"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChatBackend.html#a0cc35c21252bdcb6dbacfff312625b07">addMessage</a> (QJsonObject mess)</td></tr>
<tr class="separator:a0cc35c21252bdcb6dbacfff312625b07"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa8e1c66a4a8d74b5c1c8bb8110d55c3e"><td class="memItemLeft" align="right" valign="top">QJsonArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChatBackend.html#aa8e1c66a4a8d74b5c1c8bb8110d55c3e">message</a></td></tr>
<tr class="separator:aa8e1c66a4a8d74b5c1c8bb8110d55c3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac14627b3e97f12550dfeed81de4f36f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac14627b3e97f12550dfeed81de4f36f5">&#9670;&nbsp;</a></span>ChatBackend()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ChatBackend::ChatBackend </td>
          <td>(</td>
          <td class="paramtype">QJsonArray&#160;</td>
          <td class="paramname"><em>mess</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0cc35c21252bdcb6dbacfff312625b07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cc35c21252bdcb6dbacfff312625b07">&#9670;&nbsp;</a></span>addMessage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ChatBackend::addMessage </td>
          <td>(</td>
          <td class="paramtype">QJsonObject&#160;</td>
          <td class="paramname"><em>mess</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7265235f10af83a8354e319d61f2f350"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7265235f10af83a8354e319d61f2f350">&#9670;&nbsp;</a></span>convertToJson()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonArray ChatBackend::convertToJson </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa8e1c66a4a8d74b5c1c8bb8110d55c3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8e1c66a4a8d74b5c1c8bb8110d55c3e">&#9670;&nbsp;</a></span>message</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QJsonArray ChatBackend::message</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>backend/src/lib/chat/<a class="el" href="ChatBackend_8hpp_source.html">ChatBackend.hpp</a></li>
<li>backend/src/lib/chat/<a class="el" href="ChatBackend_8cpp.html">ChatBackend.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
